---
name: Feature proposal
about: Formal proposal for a new feature
title: "[PROPOSAL]"
labels: enhancement
assignees: ''

---

## Problem

A clear and concise description of what the problem is. Ex. I'm always frustrated when [...]

### Workarounds

- If a work around for the problem exists, clearly describe that here. Otherwise, omit this section.

## Solution

A clear and concise description of what the proposed solution is. Ex. I would like this package to do [...]

### Use Cases
- I can now do x using y
- I am able to see this metric.

### Proposed Infrastructure

A clear and concise description of what the proposed infrastructure is. Ex An API that does [...]

<!--Sample Code is welcome!-->

### Proposed Usage

A clear and concise description of how the API will be used. If applicable, a code example should also be provided.

<!-- The code example doesn't have to be complete, just enough for someone to understand how it could be called. -->

```TypeScript
import { PerfTiming } from "@zowe/perf-timing";

PerfTiming.getApi().doSomething();
```
