export const BPXPRM_HILITE = {
  // Set defaultToken to invalid to see what you do not tokenize yet
  ignoreCase: true,
  defaultToken: 'invalid',
  file: /[a-zA-Z0-9_\,\.\/\-\~\(\)\*]*/,
  number: /[0-9]+K?M?G?/,
  onalloff: /ON|ALL|OFF/,
  white: /[ \t\r\n]*/,
  string: /[a-zA-Z0-9]+/,
  parameters: /[a-zA-Z0-9\t\r\n ]+/,
  // The main tokenizer for our languages

  tokenizer: {

    root: [
      [/\/\*/, 'comment', '@comment'],
      [/(AUTOCVT)(@white)(\()(ON|ALL|OFF)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXIOBUFUSER)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(LOSTMSG)(@white)(\()(ON|OFF)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(PWT)(@white)(\()(SMF|SMFENV|ENV)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXPROCSYS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXPROCUSER)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXPROCUIDS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXFILEPROC)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXUIDS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXTHREADTASKS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXTHREADS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXPIPEUSER)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXPTYS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXFILESIZE)(@white)(\()(@number|NOLIMIT)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXCORESIZE)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXSSIZE)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXCPUTIME)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXMMAPAREA)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXSHAREPAGES)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(RESOLVER_PROC)(@white)(\()(@number|DEFAULT|NONE)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(SHRLIBRGNSIZE)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(SHRLIBMAXPAGES)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(PRIORITYGOAL)(@white)(\()(@string{0,40}|NONE)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCMSGNIDS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCMSGQBYTES)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCMSGQMNUM)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCSEMNIDS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCSEMNOPS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCSEMNSEMS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCSHMMPAGES)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCSHMNIDS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCSHMNSEGS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(IPCSHMSPAGES)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(FORKCOPY)(@white)(\()(COW|COPY)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(SUPERUSER)(@white)(\()(@string)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(TTYGROUP)(@white)(\()(@string)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(CTRACE)(@white)(\()(@string)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(STEPLIBLIST)(@white)(\(\'{1,2})(@file)(\'{1,2}\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(USERIDALIASTABLE)(@white)(\(\'{1,2})(@file)(\'{1,2}\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(SYSPLEX)(@white)(\()(YES|NO)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(STARTUP_PROC)(@white)(\()(@string)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(STARTUP_EXEC)(@white)(\()(@string\(@string\))(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(RUNOPTS)(@white)(\()(@string)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(SYSCALL_COUNTS)(@white)(\()(YES|NO)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXQUEUEDSIGS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(SWA)(@white)(\()(ABOVE|BELOW)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(LIMMSG)(@white)(\()(NONE|SYSTEM|ALL)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(ALTROOT)(@white)(NONE)/, ['keyword', 'white', , 'identifier']],
      [/(NONEMPTYMOUNTPT)(@white)(\()(NOWARN|WARN|DENY)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXUSERMOUNTSYS)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(MAXUSERMOUNTUSER)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(KERNELSTACKS)(@white)(\()(ABOVE|BELOW)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(UMASK)(@white)(\()(@number)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(SC_EXITTABLE)(@white)(\(\'{1,2})(@file)(\'{1,2}\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],
      [/(AUTHPGMLIST)(@white)(\(\'{1,2})(@file|NONE)(\'{1,2}\))/, ['keyword', 'white', 'operator', 'identifier', 'operator']],

      [/(ALTROOT)/, 'keyword'],
      [/(FILESYSTEM)(@white)(\(\')(@file)(\'\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(MOUNTPOINT)(@white)(\(\')(@file)(\'\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(PARM)(@white)(\(\')(@parameters)(\'\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],

      [/(SERV)(@white)/, ['keyword', 'white']],
      [/(_LPALIB)(@white)(\(\')(@file)(\'\,)(@white)(\')(@file)(\'\))/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white', 'operator', 'identifier', 'operator']],
      [/(_LINKLIB)(@white)(\(\')(@file)(\'\,)(@white)(\')(@file)(\'\))/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white', 'operator', 'identifier', 'operator']],

      [/(FILESYSTYPE)/, 'keyword'],
      [/(TYPE)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(ENTRYPOINT)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(PARM)(@white)(\(\')(@file)(\'\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(ASNAME)(@white)(\()(@parameters)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],

      [/(NETWORK)/, 'keyword'],
      [/(DOMAINNAME)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(DOMAINNUMBER)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(MAXSOCKETS)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(TYPE)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(INADDRANYPORT)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(INADDRANYCOUNT)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],

      [/(MOUNT)/, 'keyword'],
      [/(FILESYSTEM)(@white)(\(\')(@file)(\)\')(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(TYPE)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(MODE)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      // repeat
      //[/(PARM)(@white)(\()(@file)(\))(@white)/,['keyword','white','operator','identifier','operator','white']],
      [/(SETUID|NOSETUID)/, 'keyword'],
      [/(SECURITY|NOSECURITY)/, 'keyword'],
      [/(SYSNAME)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(TAG)(@white)(\()(TEXT|NOTEXT)(\,)(@white)(@file)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white', 'identifier', 'operator']],
      [/(AUTOMOVE)(@white)(\()(INCLUDE)(\,)(@white)(@file)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white', 'identifier', 'operator']],
      [/(AUTOMOVE)(@white)(\()(EXCLUDE)(\,)(@white)(@file)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white', 'identifier', 'operator']],
      [/(UNMOUNT|NOAUTOMOVE)/, 'keyword'],
      [/(MKDIR)(@white)(\(\')(@file)(\'\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],

      [/(ROOT)/, 'keyword'],
      [/(FILESYSTEM)(@white)(\(\')(@file)(\)\')(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(TYPE)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(DDNAME)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(MODE)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(SETUID|NOSETUID)/, 'keyword'],
      [/(SYSNAME)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(TAG)(@white)(\()(TEXT|NOTEXT)(\,)(@white)(@file)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white', 'identifier', 'operator']],
      [/(AUTOMOVE|NOAUTOMOVE)/, 'keyword'],
      [/(MKDIR)(@white)(\(\')(@file)(\'\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(SUBFILESYSTYPE)/, 'keyword'],
      [/(NAME)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(TYPE)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(ENTRYPOINT)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(DEFAULT)/, 'keyword'],

      [/(PRIORITYGOAL)(@white)(\()(@file)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(MAXASSIZE)(@white)(\()(@number)(\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(RUNOPTS)(@white)(\(\')(@file)(\'\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
      [/(STARTUP_EXEC)(@white)(\(\')(@file)(\'\,)(@white)(@file)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white', 'identifier', 'operator']],
      [/(VERSION)(@white)(\(\')(@file)(\'\,)(@white)(UNMOUNT|NOUNMOUNT)(\))/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white', 'identifier', 'operator']],
      [/(VERSION)(@white)(\(\')(@file)(\'\))(@white)/, ['keyword', 'white', 'operator', 'identifier', 'operator', 'white']],
    ],

    comment: [
      [/[^\/*]+/, 'comment'],
      // [/\/\*/,    'comment', '@push' ],    // nested comment
      ["\\*/", 'comment', '@pop'],
      [/[\/*]/, 'comment']
    ],
  },
};
