/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/

import { AbstractSession, IHandlerParameters } from "@zowe/imperative";
import { Delete, IDeleteDatasetOptions, IZosFilesResponse } from "@zowe/zos-files-for-zowe-sdk";
import { ZosFilesBaseHandler } from "../../ZosFilesBase.handler";

/**
 * Handler to delete a data set.
 */
export default class DsHandler extends ZosFilesBaseHandler {
    public async processWithSession(commandParameters: IHandlerParameters, session: AbstractSession): Promise<IZosFilesResponse> {
        const options: IDeleteDatasetOptions = {};

        if (commandParameters.arguments.volume) {
            options.volume = commandParameters.arguments.volume;
        }
        options.responseTimeout = commandParameters.arguments.responseTimeout;

        return Delete.dataSet(session, commandParameters.arguments.dataSetName, options);
    }
}
